Loading...
Searching...
No Matches
BALL::VIEW::InteractionMode Class Referenceabstract

`#include <BALL/VIEW/KERNEL/MODES/interactionMode.h>`

Inheritance diagram for BALL::VIEW::InteractionMode:

## Signals

void | requestModeChange (InteractionMode *mode)

## Public Member Functions

| InteractionMode (Scene *scene)
virtual | ~InteractionMode ()
virtual void | keyPressEvent (QKeyEvent *evt)
virtual void | keyReleaseEvent (QKeyEvent *evt)
virtual void | mouseDoubleClickEvent (QMouseEvent *evt)
void | mouseMoveEvent (QMouseEvent *evt)
void | mousePressEvent (QMouseEvent *evt)
void | mouseReleaseEvent (QMouseEvent *evt)
virtual void | wheelEvent (QWheelEvent *evt)
virtual void | addToolBarEntries (QToolBar *tb)
virtual void | populateContextMenu (QMenu *)
virtual Qt::Key | getKey () const =0
virtual QString | getName () const =0
virtual void | deactivate ()
virtual void | activate ()
void | setMouseSensitivity (float sens)
void | setMouseWheelSensitivity (float sens)
QAction * | getMainAction ()
bool | isCurrent () const
void | setCurrent (bool current)

## Protected Slots

void | modeChangeSlot_ ()

## Protected Member Functions

virtual void | mouseMoveEventImpl_ (QMouseEvent *evt)
virtual void | mousePressEventImpl_ (QMouseEvent *evt)
virtual void | mouseReleaseEventImpl_ (QMouseEvent *evt)
float | getXDiff_ () const
float | getYDiff_ () const
void | zoomSystem_ ()

## Protected Attributes

Scene * | scene_
QPoint | mouse_pos_old_
QPoint | mouse_pos_new_
QSize | desktop_size_
float | mouse_sensitivity_
float | mouse_wheel_sensitivity_
QAction * | main_action_
bool | is_current_

## Detailed Description

Definition at line 24 of file interactionMode.h.

## Constructor & Destructor Documentation

## InteractionMode()

BALL::VIEW::InteractionMode::InteractionMode | ( | Scene * | scene | ) |

## ~InteractionMode()

virtual BALL::VIEW::InteractionMode::~InteractionMode | ( |  | ) |

virtual

## Member Function Documentation

## activate()

virtual void BALL::VIEW::InteractionMode::activate | ( |  | ) |

virtual

Reimplemented in BALL::VIEW::EditMode, BALL::VIEW::MoveMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## addToolBarEntries()

virtual void BALL::VIEW::InteractionMode::addToolBarEntries | ( | QToolBar * | tb | ) |

virtual

Reimplemented in BALL::VIEW::EditMode.

## deactivate()

virtual void BALL::VIEW::InteractionMode::deactivate | ( |  | ) |

virtual

Reimplemented in BALL::VIEW::PickingMode.

## getKey()

virtual Qt::Key BALL::VIEW::InteractionMode::getKey | ( |  | ) | const

pure virtual

Implemented in BALL::VIEW::EditMode, BALL::VIEW::MoveMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## getMainAction()

QAction * BALL::VIEW::InteractionMode::getMainAction | ( |  | ) |

## getName()

virtual QString BALL::VIEW::InteractionMode::getName | ( |  | ) | const

pure virtual

Implemented in BALL::VIEW::EditMode, BALL::VIEW::MoveMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## getXDiff_()

float BALL::VIEW::InteractionMode::getXDiff_ | ( |  | ) | const

protected

## getYDiff_()

float BALL::VIEW::InteractionMode::getYDiff_ | ( |  | ) | const

protected

## isCurrent()

bool BALL::VIEW::InteractionMode::isCurrent | ( |  | ) | const

inline

Definition at line 56 of file interactionMode.h.

## keyPressEvent()

virtual void BALL::VIEW::InteractionMode::keyPressEvent | ( | QKeyEvent * | evt | ) |

virtual

Reimplemented in BALL::VIEW::EditMode.

## keyReleaseEvent()

virtual void BALL::VIEW::InteractionMode::keyReleaseEvent | ( | QKeyEvent * | evt | ) |

virtual

Reimplemented in BALL::VIEW::EditMode.

## modeChangeSlot_

void BALL::VIEW::InteractionMode::modeChangeSlot_ | ( |  | ) |

protected slot

## mouseDoubleClickEvent()

virtual void BALL::VIEW::InteractionMode::mouseDoubleClickEvent | ( | QMouseEvent * | evt | ) |

virtual

Reimplemented in BALL::VIEW::EditMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## mouseMoveEvent()

void BALL::VIEW::InteractionMode::mouseMoveEvent | ( | QMouseEvent * | evt | ) |

## mouseMoveEventImpl_()

virtual void BALL::VIEW::InteractionMode::mouseMoveEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented in BALL::VIEW::EditMode, BALL::VIEW::MoveMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## mousePressEvent()

void BALL::VIEW::InteractionMode::mousePressEvent | ( | QMouseEvent * | evt | ) |

## mousePressEventImpl_()

virtual void BALL::VIEW::InteractionMode::mousePressEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented in BALL::VIEW::EditMode, and BALL::VIEW::PickingMode.

## mouseReleaseEvent()

void BALL::VIEW::InteractionMode::mouseReleaseEvent | ( | QMouseEvent * | evt | ) |

## mouseReleaseEventImpl_()

virtual void BALL::VIEW::InteractionMode::mouseReleaseEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented in BALL::VIEW::EditMode, BALL::VIEW::MoveMode, BALL::VIEW::PickingMode, and BALL::VIEW::RotateMode.

## populateContextMenu()

virtual void BALL::VIEW::InteractionMode::populateContextMenu | ( | QMenu * |  | ) |

inline virtual

Reimplemented in BALL::VIEW::EditMode, and BALL::VIEW::MoveMode.

Definition at line 43 of file interactionMode.h.

## requestModeChange

void BALL::VIEW::InteractionMode::requestModeChange | ( | InteractionMode * | mode | ) |

signal

## setCurrent()

void BALL::VIEW::InteractionMode::setCurrent | ( | bool | current | ) |

inline

Definition at line 57 of file interactionMode.h.

## setMouseSensitivity()

void BALL::VIEW::InteractionMode::setMouseSensitivity | ( | float | sens | ) |

## setMouseWheelSensitivity()

void BALL::VIEW::InteractionMode::setMouseWheelSensitivity | ( | float | sens | ) |

## wheelEvent()

virtual void BALL::VIEW::InteractionMode::wheelEvent | ( | QWheelEvent * | evt | ) |

virtual

Reimplemented in BALL::VIEW::EditMode.

## zoomSystem_()

void BALL::VIEW::InteractionMode::zoomSystem_ | ( |  | ) |

protected

## Member Data Documentation

## desktop_size_

QSize BALL::VIEW::InteractionMode::desktop_size_

protected

Definition at line 68 of file interactionMode.h.

## is_current_

bool BALL::VIEW::InteractionMode::is_current_

protected

Definition at line 72 of file interactionMode.h.

## main_action_

QAction* BALL::VIEW::InteractionMode::main_action_

protected

Definition at line 71 of file interactionMode.h.

## mouse_pos_new_

QPoint BALL::VIEW::InteractionMode::mouse_pos_new_

protected

Definition at line 67 of file interactionMode.h.

## mouse_pos_old_

QPoint BALL::VIEW::InteractionMode::mouse_pos_old_

protected

Definition at line 66 of file interactionMode.h.

## mouse_sensitivity_

float BALL::VIEW::InteractionMode::mouse_sensitivity_

protected

Definition at line 69 of file interactionMode.h.

## mouse_wheel_sensitivity_

float BALL::VIEW::InteractionMode::mouse_wheel_sensitivity_

protected

Definition at line 70 of file interactionMode.h.

## scene_

Scene* BALL::VIEW::InteractionMode::scene_

protected

Definition at line 65 of file interactionMode.h.